GET /api/v202401/import/bill/task/{taskGuid}/kickout/detail

Retrieves the kickout details associated with a specified bill import task and an optional kickout message.

GetBillImportKickoutDetailsV202401 Permissions: BillsAndBatches (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
taskGuid The task GUID to search for. The task must be of type Bill Import. string (uuid) Required

Query Parameters

Name Description Type Required
kickoutMessage The optional kickout message to search for. string Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BillImportKickoutDetailsResponse
Property Description Type
data The kickout values array[]
fields The kickout fields KickoutField[]
KickoutField properties
Property Description Type
id The column identifier. This is a dynamic field and may vary between requests. integer (int32)
name The column name string
Example Response application/json
{  "data": [
    [
    {      "fieldId": 1,      "value": "string"
    }
  ]
  ],  "fields": [
    {    "id": 1,    "name": "string"
  }
  ]
}